//
//  DraftView.h
//  Fast Draft
//
//  Created by AR on 21.02.13.
//  Copyright (c) 2013 Geometros Company. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "CommonStructs.h"

@interface DraftView : UIView

-(void) setCommandsManager:(id<ICommandsManager>)manag;
-(void) redrawAll;

-(void) Clear;

- (IBAction)SaveImage:(id)sender;

@end

@interface CurrentObjectDrawer : NSObject

-(void) setCommandsManager:(id<ICommandsManager>)manag;
-(void) drawLayer: (CALayer*) layer inContext: (CGContextRef) currentContext;


@end

@interface SceneDrawer : NSObject

-(void) drawLayer: (CALayer*) layer inContext: (CGContextRef) context;

@end